function task = bg_run(fn)
//  Run a Scilab script at background
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     task = bg_run(fn)
//
// Parameters
//     fn : Scilab script name in string format
//     task : Process ID for the task
//
// Description
//    This is to sent the Scilab task to the background as silent process
//    
// Examples
//    task = bg_run('myscript.sce')
//    
// See also
//     bg_display
//     bg_terminate
//
// Authors
//     C.L. Tan, Trity Technologies
    
    unix('start /b '+SCI+'\bin\scilex -f ' + fn);
    all_process = unix_g('tasklist /FI ""IMAGENAME eq Scilex.exe"" /FO TABLE /NH');
    current_process = all_process($);
    temp = tokens(current_process);
    task = strtod(temp(2));
    mprintf('Program Running at Background \n');
    mprintf('========================== \n');
    mprintf('Program Name \t: %s.\n',fn);
    mprintf('PID \t\t: %i \n',task);
    mprintf('Use bg_terminate(pid) to kill the process\n');
    // unix_g('taskkill /F /PID 4888')
endfunction
