function bg_terminate(pid)
//  Terminate a Scilab background process
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//    bg_terminate(pid)
//
// Parameters
//     pid : Process ID for the task
//
// Description
//    This is to sent the Scilab task to the background as silent process
//    
// Examples
//    bg_terminate(pid)
//    
// See also
//     bg_display
//     bg_run
//
// Authors
//     C.L. Tan, Trity Technologies

    out = unix_g('taskkill /F /PID ' + string(pid));
    disp(out);
endfunction
