function fl = filterFILE(url_ip, needle)
// Get the file list filtered by extension from a file server
// 
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     fl = filterFILE(url_ip, needle)
//
// Parameters
//     url_ip : File server IP address
//     needle : Keyword to search
//     fl : File list
//
// Description
//    This is to get the file list from a file server, by given keyword
//    
// Examples
//     fl = filterFILE('http://10.168.9.4','.sce')
//
// See also
//      getFILE
//
// Authors
//     C.L. Tan, Trity Technologies
// 
    [fn, contents] = getURL(url_ip,TMPDIR);
    doc = htmlRead(fn);
    all_str = doc.root.content;
    ind = grep(all_str,needle);
    filtered_file = all_str(ind);
    filtered_file = stripblanks(filtered_file,%t)
    fl = strsubst(filtered_file,ascii(13),'')
    //url_ip = 'http://10.168.9.4/'
    //url = url_ip + filtered_file(1);

endfunction
