function [fn, contents] = getFILE(url_ip, filename)
// Download the files given in filename from a file server
// 
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     [fn, contents] = getFILE(url_ip, filename)
//
// Parameters
//     url_ip : File server IP address
//     filename : File names for the files to be downloaded
//     fn : Last filename downloaded
//     contents : Last contents of the file downloaded
//
// Description
//    This is to download the files from a file server, by given filenames in a string vector 
//    
// Examples
//     fl = filterFILE('http://10.168.9.4','.sce')
//     [fn, contents] = getFILE('http://10.168.9.4', fl)
//
// See also
//      filterFILE
//
// Authors
//     C.L. Tan, Trity Technologies
//     

    //url_ip = 'http://10.168.9.4/'
    //url = url_ip + filtered_file(1);
    for cnt = 1:size(filename,'*')
        [fn, contents] = getURL(url_ip+'/'+filename(cnt));
    end
    
endfunction
