function [mes,cod]=get_stock_code(str)
// Get the KLSE stock code by using keywords
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     [mes,cod]=get_stock_code(str)
//
// Parameters
//     str : Keyword to search
//     mes : Returned  results in string
//     cod : Returned code which could be used directly with get_stock_data
//
// Description
//    This is to get the stock code for KLSE stock for used with Yahoo Finanace server
//    
// Examples
//    [mes,cod]=get_stock_code('petronas');
// 
// See also
//     get_stock_data
//
// Authors
//     C.L. Tan, Trity Technologies
//    
    [m, mp] = libraryinfo('trity_iot_modulelib');
        load(mp + 'KL_StockCode');
    ind = grep(klstockcode,convstr('/'+ str  +'/','u'),'r');
    mes = klstockcode(ind,:);
    cod = klstockcode(ind,2)+'.KL';
    //disp('Companies Found');
    mprintf('Companies Found\n');
    mprintf('===============\n');
    for cnt = 1:size(mes,1)
        mprintf('Company\t: %s\n', mes(cnt,1));
        mprintf('Stock Code\t: %s.KL\n ',mes(cnt,2));
    end
    clear klstockcode;
endfunction
