function iot_init()
// Initialize ThingSpeak 
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     thingspeak_init()
//
// Parameters
//
// Description
//    This is to initialize the ThingSpeak module before using and GET and POST commands
//    
// Examples
// 
// See also
//     thingspeak_fieldvalues
//     thingspeak_newentry
//     thingspeak_plot
//     thingspeak_update
//
// Authors
//     Joshua, Trity Technologies

    // Create the channel object
//jimport com.angryelectron.thingspeak.Channel;
//jimport com.angryelectron.thingspeak.Entry;
//jimport com.angryelectron.thingspeak.Feed;
//jimport com.angryelectron.thingspeak.FeedParameters;
//jimport com.angryelectron.thingspeak.FeedParameters$Period;
//jimport java.text.SimpleDateFormat;
//jimport java.util.Date;

Channel = jimport('com.angryelectron.thingspeak.Channel',%f);
Entry = jimport('com.angryelectron.thingspeak.Entry',%f);
Feed = jimport('com.angryelectron.thingspeak.Feed',%f);
FeedParameters = jimport('com.angryelectron.thingspeak.FeedParameters',%f);
FeedParameters$Period = jimport('com.angryelectron.thingspeak.FeedParameters$Period',%f);
SimpleDateFormat = jimport('java.text.SimpleDateFormat',%f);
Date = jimport('java.util.Date',%f);
[Channel,Entry,Feed,FeedParameters, FeedParameters$Period,SimpleDateFormat,Date]= resume(Channel,Entry,Feed,FeedParameters, FeedParameters$Period,SimpleDateFormat,Date);
endfunction



