function [rep,stat,stderr] = postURL(url,varargin)
// Post command for curl library
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     [rep,stat,stderr] = postURL(url,cmd)
//
// Parameters
//     url : A valid URL
//     cmd : Post command to the site
//     rep : Response
//     stat : Message
//     stderr : Error Message
//
// Description
//    This is to POST the request to a supported website
//    
// Examples
//
// See also
//
// Authors
//     C.L. Tan, Trity Technologies
// 

//curl_loc = SCI + '\tools\curl\curl';
//post_cmd = ' -d ';
//[rep,stat,stderr] = unix_g(curl_loc + post_cmd + """" + cmd + """ "  + url);
//


ListArg = varargin;
curl_loc = SCI + '\tools\curl\curl';
// post_cmd = ' -d ';

sz = size(ListArg);

cmd = curl_loc; 

for cnt = 1:2:sz
    cmd = cmd + ' ' + ListArg(cnt) + ' ' + ListArg(cnt+1);
end

cmd = cmd + ' ' + url;




[rep,stat,stderr] = unix_g(cmd);


endfunction



