function y = strtom(x,hh)
// Convert string to matrix
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//      y = strtom(x,hh)
//
// Parameters
//     x : Data in string
//     hh : Offset from the begining
//     y : Output data in double
//
// Description
//    This is to convert a string variable into double matrix 
//    
// Examples
//    str = ['1 2 3 4 5;6 7 8 9 10'];
//    strtom(str)
// 
// See also
//
// Authors
//     C.L. Tan, Trity Technologies
// 
    rhs=argn(2);
    if rhs < 1; error("At least one data required"); end    
    if rhs < 2; hh = 0; end
    
    x2 = tokens(x,ascii(10));
    x3 = x2(hh+1:$);
    r = size(x3,1);
    c = size(tokens(x3(1)),1);
    y =ones(r,c).*%nan;
    cntin = 1;
    for cnt = 1:size(x3,1)
            ynew = strtod(tokens(x3(cnt))');
           y(cnt,1:size(ynew,2)) = ynew;
    end
endfunction
