function out = ubidots_post(tokenID,sensorID,val)
// Post a data to Ubidots sensor's variable
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//    out = ubidots_post(tokenID,sensorID,val)
//
// Parameters
//     tokenID : Token ID
//     sensorID : Sensor ID
//     val : Value to sent to the sensor source
//     out : 1 indicate data posted successfully, otherwise 0 will be returned
//
// Description
//    Post a data to a sensor source of 
//
// See also
//    ubidots_get
//    ubidots_getdata
//    ubidots_listsource
//    ubidots_listvar
//
// Authors
//     C.L. Tan, Trity Technologies    
//
    str = 'http://translate.ubidots.com/api/postvalue?token=' + tokenID + '&variable=' +  sensorID + '&value=';
    [temp,message]=getURL(str + string(val));
    status = JSONParse(message);
    if  isfield(status,'detail') & status.detail == 'Not found' then
        error('Data failed to upload to the Ubibots, please check the tokenID and sensorID.');
        out = 0;
    elseif isfield(status,'value') then
        disp('Data with value = ' + string(status.value) + ' successfully posted to Ubidots at time = ' + strsubst(status.created_at,',',':'));
        out = 1;
    else
        disp(lasterror);
        out = 0;
    end
    
endfunction
