function yticks2string(str,n)
//  Change the ytick to string
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//      yticks2string(str,n)
//
// Parameters
//     str : string input to replace the current yticks
//     n : number of ticks in y axis
//
// Description
//    This is to change the yticks to string replacing numbers
//    
// Examples
//    x = 1:10
//    plot(x,y);
//    xx = ['a','b','c','d','e','f','g','h','i','j','k'];
//    yticks2string(xx,5);
//    
// See also
//     xtick2string
//
// Authors
//     C.L. Tan, Trity Technologies
//

    hh = gcf();
    aa = hh.children.y_ticks;
    tt = round(linspace(1,max(size(str)),n)');
    dd = str(tt);
    aa(2) = tt;
    aa(3) = dd;
    hh.children.y_ticks  = aa;
//    hh.children.user_data = str;
    
endfunction
